org.apache.ignite.igfs

## Class IgfsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.igfs.IgfsException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IgfsConcurrentModificationException, IgfsCorruptedFileException, IgfsDirectoryNotEmptyException, IgfsInvalidHdfsVersionException, IgfsInvalidPathException, IgfsOutOfSpaceException, IgfsParentNotDirectoryException, IgfsPathAlreadyExistsException, IgfsPathIsDirectoryException, IgfsPathIsNotDirectoryException, IgfsPathNotFoundException

    public class IgfsException
    extends IgniteException

`IGFS` exception thrown by file system components.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsException(String msg)` Constructor.
`IgfsException(String msg, Throwable cause)` Constructor.
`IgfsException(Throwable cause)` Constructor.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsException

    public IgfsException(String msg)

Constructor.

Parameters:
  `msg` - Message.

#### IgfsException

    public IgfsException(Throwable cause)

Constructor.

Parameters:
  `cause` - Cause.

#### IgfsException

    public IgfsException(@Nullable
                 String msg,
                 @Nullable
                 Throwable cause)

Constructor.

Parameters:
  `msg` - Message.
  `cause` - Cause.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017